import {
  service
} from "./request";

export function postPublish(params) {
  return service({
    url: `/post/publish`,
    method: 'post',
    data: params
  })
}

export function verifyPaypalResult(params) {
  return service({
    url: `/wallet/pay/verifyPaypalResult`,
    method: 'post',
    data: params
  })
}

export function payTaskLuckdropWithBalance(params) {
  return service({
    url: `/wallet/pay/payTaskLuckdropWithBalance`,
    method: 'post',
    data: params
  })
}

// 上报帖子来源平台发布事件
export function reportSrcPublishEvent(params) {
  return service({
    url: `/post/reportSrcPublishEvent`,
    method: 'post',
    data: params
  })
}

export function srcPublishSuccess(params) {
  return service({
    url: `/post/srcPublishSuccess`,
    method: 'post',
    data: params
  })
}

export function searchTwitterUser(params) {
  return service({
    url: `/openapi/searchTwitterUser`,
    method: 'post',
    data: params
  })
}

export function getUser(params) {
  return service({
    url: `/openapi/getUser`,
    method: 'post',
    data: params
  })
}

export function getCurrencyInfo(params) {
  return service({
    url: `/currency/v2/getCurrencyInfo`,
    method: 'post',
    data: params
  })
}

export function searchCurrencyInfo(params) {
  return service({
    url: `/currency/v2/searchCurrencyInfo`,
    method: 'post',
    data: params
  })
}

export function getCurrencyInfoBySymbol(params) {
  return service({
    url: `/currency/v2/getCurrencyInfoBySymbol`,
    method: 'post',
    data: params
  })
}

export function syncChainTokenRechargeRecord(params) {
  return service({
    url: `/wallet/recharge/syncChainTokenRechargeRecord`,
    method: 'post',
    data: params
  })
}

export function getCurrencyInfoByCode(params) {
  return service({
    url: `/currency/getCurrencyInfoByCode`,
    method: 'post',
    data: params
  })
}